Name:		folding
Version:	1.3.2
Release:	2%{?dist}
Summary:	Instantaneous performance metrics from extrae traces
License:	LGPLv2+
URL:		https://tools.bsc.es/folding
Source0:	https://ftp.tools.bsc.es/folding/folding-%version-src.tar.bz2
Source1:	https://github.com/tsuna/autotroll/raw/master/build-aux/autotroll.m4
Patch1:		folding-inst.patch
Patch2:		folding-cube.patch
Patch3:		folding-kriger.patch
BuildRequires:	libxml2-devel boost-devel automake cube-devel cube-guilib-devel
BuildRequires:	qt5-qtbase-devel
BuildRequires:	libbsctools-devel python3-wxpython4 clang-devel R-devel libtool
BuildRequires:	gcc-gfortran gcc-c++

%description
Combined instrumentation and sampling for instantaneous metric
evolution with low overhead from extrae traces.

%prep
%setup -q
%patch1 -p1 -b .inst
%patch2 -p1 -b .cube
%patch3 -p1 -b .kriger
cp %SOURCE1 config
autoreconf -fiv
find -name \*.py | xargs sed -i -e 's;/env python;/python3;'


%build
%configure --prefix=%_libdir/folding --libdir=%_libdir/folding/lib \
           --includedir=%_libdir/folding/include \
           --with-R=/usr --with-clustering-suite \
	   --enable-gui --with-cube=/usr --disable-static \
	   CPPFLAGS="$CPPFLAGS -I%_includedir/paraver/utils/pcfparser -I%_includedir/paraver/utils/pcfparser/old"
%make_build V=1 LIBBSCTOOLS_LIB_DIR=%_libdir


%install
mkdir -p %buildroot%_libdir/folding/{bin,etc,share,lib,include}
mkdir -p %buildroot%_bindir
%make_install V=1
find %buildroot%_libdir/folding/lib -name \*.la -delete
ln -s %_libdir/folding/bin/folding %buildroot%_bindir
rm -r %buildroot%_docdir/*


%files
%doc doc/user-guide.pdf doc/user-guide/*.html doc/user-guide/*.css
%doc ChangeLog COPYING examples
%_bindir/*
%_libdir/folding


%changelog
* Mon Oct 25 2021 Dave Love <loveshack@fedoraproject.org> - 1.3.2-2
- BR python3-wxpython4
- Purge el6
- BR qt5-qtbase-devel
- Modify cube patch with many fixes for current cube and qt5
- Fix service-kriger build

* Thu Sep 20 2018 Dave Love <loveshack@fedoraproject.org> - 1.3.2-1
- New version

* Thu Apr 26 2018 Dave Love <loveshack@fedoraproject.org> - 1.3.1-1
- Initial packaging
